Skip to main content
POST
/
preview
/
retail-media
/
reports
/
missed-opportunities
/preview/retail-media/reports/missed-opportunities
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/reports/missed-opportunities \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "dimensions": [],
      "endDate": "2023-12-25",
      "filters": {
        "accountIds": [
          "<string>"
        ],
        "campaignIds": [
          "<string>"
        ],
        "lineItemIds": [
          "<string>"
        ],
        "mediaTypes": [],
        "salesChannels": []
      },
      "metrics": [],
      "startDate": "2023-12-25",
      "format": "json-compact"
    },
    "type": "AsyncMissedOpportunitiesReport"
  }
}
'
{
  "data": {
    "attributes": {
      "createdAt": "<string>",
      "expiresAt": "<string>",
      "fileSizeBytes": 123,
      "id": "<string>",
      "md5CheckSum": "<string>",
      "message": "<string>",
      "rowCount": 123
    },
    "id": "<string>",
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Required create payload.

A top-level object that encapsulates a missed-opportunities async report create request.

data
object
required

JSON:API resource wrapper for a missed-opportunities async report create request.

Response

200 - application/json

Success

Async Report response format

data
object

A class that represents a domain entity exposed by an API

errors
object[] | null
read-only
warnings
object[] | null
read-only